%define major 0
%define libname %mklibname %{name} %{major}
%define develname %mklibname -d %{name}
%define staticname %mklibname -s -d %{name}
%define oname libmpeg2

Summary:	MPEG-2 Decoder
Name:		mpeg2dec
Version:	0.5.1
Release:	12
License:	GPLv2+
Group:		Video
URL:		http://libmpeg2.sourceforge.net/
Source0:	http://libmpeg2.sourceforge.net/files/%{oname}-%{version}.tar.gz
Patch0:		libmpeg2-0.5.1-gcc4.6.patch
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(xv)

%description
mpeg2dec is an mpeg-1 and mpeg-2 video decoder. It is purposely kept
simple : it does not include features like reading files from a DVD,
CSS, fullscreen output, navigation, etc... The main purpose of
mpeg2dec is to have a simple test bed for libmpeg2. mpeg2dec also
includes a demultiplexer for mpeg-1 and mpeg-2 program streams, and
output routines for a variety of different interfaces.

%package -n	%{libname}
Group:		System/Libraries
Summary:	MPEG-2 Decoder

%description -n %{libname}
mpeg2dec is an mpeg-1 and mpeg-2 video decoder. It is purposely kept
simple : it does not include features like reading files from a DVD,
CSS, fullscreen output, navigation, etc... The main purpose of
mpeg2dec is to have a simple test bed for libmpeg2. mpeg2dec also
includes a demultiplexer for mpeg-1 and mpeg-2 program streams, and
output routines for a variety of different interfaces.

This package contains the shared libraries of mpeg2dec.

%package -n	%{develname}
Summary:	MPEG-2 Decoder development files
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{develname}
mpeg2dec is an mpeg-1 and mpeg-2 video decoder. It is purposely kept
simple : it does not include features like reading files from a DVD,
CSS, fullscreen output, navigation, etc... The main purpose of
mpeg2dec is to have a simple test bed for libmpeg2. mpeg2dec also
includes a demultiplexer for mpeg-1 and mpeg-2 program streams, and
output routines for a variety of different interfaces.
MPEG-2 Decoder development files

%package -n	%staticname
Summary:	MPEG-2 Decoder static libraries
Group:		Development/C
Requires:	%{develname} = %{version}-%{release}

%description -n %{staticname}
mpeg2dec is an mpeg-1 and mpeg-2 video decoder. It is purposely kept
simple : it does not include features like reading files from a DVD,
CSS, fullscreen output, navigation, etc... The main purpose of
mpeg2dec is to have a simple test bed for libmpeg2. mpeg2dec also
includes a demultiplexer for mpeg-1 and mpeg-2 program streams, and
output routines for a variety of different interfaces.

MPEG-2 Decoder static libraries.

%prep
%setup -q -n %{oname}-%{version}
%patch0 -p1

%build
%configure2_5x	--enable-shared \
%ifarch sparc sparcv9 sparc64
		--disable-accel-detect
%endif

%make

%install
%makeinstall_std

%files
%doc AUTHORS ChangeLog NEWS README TODO
%{_mandir}/man1/*
%{_bindir}/*

%files -n %{libname}
%{_libdir}/libmpeg2*.so.%{major}*

%files -n %{develname}
%{_includedir}/mpeg2dec
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/lib*.pc

%files -n %{staticname}
%{_libdir}/lib*.a


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 0.5.1-12
+ Revision: 150a5b4
- MassBuild#440: Increase release tag


